SystemOrganization addCategory: #ConfigurationOfRPackage!

Object subclass: #ConfigurationOfRPackage
	instanceVariableNames: 'project'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfRPackage'!

!ConfigurationOfRPackage commentStamp: 'cyrilledelaunay 5/23/2011 10:16' prior: 0!
Gofer new
	squeaksource:  'PharoTaskForces';
	package: 'ConfigurationOfRPackage';
	load
	
For "stable" version  for moose for example use:
(ConfigurationOfRPackage project  version: #stable) load

For development use
(ConfigurationOfRPackage project  version: #development) load

!

!ConfigurationOfRPackage class methodsFor: 'private' stamp: 'StephaneDucasse 8/20/2010 18:29'!
ensureMetacello
        "Bootstrap Gofer (if necessary), load latest mcz file for ConfigurationOfMetacello (using old 
         Gofer API), then load the latest version of Metacello itself."

        Smalltalk at: #MetacelloProject ifAbsent: [ | error |
                "list of repositories to try, in case primary repository is not accessible"
                (Array 
                        with: 'http://www.squeaksource.com/MetacelloRepository' 
                        with: 'http://seaside.gemstone.com/ss/metacello') do: [:repositoryUrl |
                                ([
                                        Smalltalk at: #Gofer ifAbsent: [
                                        "Current version of Gofer from which to bootstrap - as of 1.0-beta.21"
                                                self bootstrapPackage: 'Gofer-Core-lr.115' from: repositoryUrl ].
                                        Smalltalk at: #Gofer ifPresent: [:goferClass | | gofer |
                                                gofer := goferClass new
                                                        url: repositoryUrl;
                                                        yourself.
                                                [ gofer addPackage: 'ConfigurationOfMetacello' ] on: Warning do: [:ex | ex resume ].
                                                gofer load ]]
                                                        on: Error
                                                        do: [ :ex |
                                                                error := ex.
                                                                Transcript 
                                                                        cr; 
                                                                        show: 'failed ensureMetacello: ';
                                                                        show: ex description printString;
                                                                        show: '...retrying'.
                                                                "try again"
                                                                ex return: nil ]) ~~ nil
                                        ifTrue: [
                                                "load 'default' group of Metacello"
                                                (Smalltalk at: #ConfigurationOfMetacello) perform: #load.
                                                ^self ]].
                "shouldn't get here unless the load failed ... throw an error"
                self error: 'retry with alternate repository failed: ', error description printString ]! !

!ConfigurationOfRPackage class methodsFor: 'metacello tool support' stamp: 'tg 6/5/2010 18:17'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfRPackage class methodsFor: 'loading' stamp: 'tg 6/5/2010 18:17'!
loadDefault
	(self project version: 'default') load! !

!ConfigurationOfRPackage class methodsFor: 'accessing' stamp: 'tg 6/5/2010 18:17'!
project

	^self new project! !

!ConfigurationOfRPackage methodsFor: 'baselines' stamp: 'AlexandreBergel 2/18/2011 12:52'!
baseline10: spec
	<version: '1.0-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec description: 'First baseline'.
		spec repository: 'http://www.squeaksource.com/PharoTaskForces'.
		spec 
			package: 'SystemAnnouncements';
			package: 'RPackage-Core' with: [
				spec requires: #('SystemAnnouncements' ). ];
			package: 'RPackage-Tests';
			package: 'RPackage-UI';
			package: 'RPackage-SystemIntegration'. ].
! !

!ConfigurationOfRPackage methodsFor: 'baselines' stamp: 'cyrilledelaunay 5/20/2011 17:32'!
baseline20: spec
	<version: '2.0-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec description: 'Second baseline'.
		spec repository: 'http://www.squeaksource.com/PharoTaskForces'.
		spec 
			package: 'SystemAnnouncements';
			package: 'RPackage-Core' with: [
				spec requires: #('SystemAnnouncements' ). ];
			package: 'RPackage-Tests';
			package: 'RPackage-UI';
			package: 'RPackage-SystemIntegration'. 
	
	spec project: 'PharoRB'
		with: [ spec
				className: 'ConfigurationOfPharoRB';
				loads: #('Core Tests');
				file: 'ConfigurationOfPharoRB';
				repository: 'http://www.squeaksource.com/PharoRB' ]]! !

!ConfigurationOfRPackage methodsFor: 'symbolic versions' stamp: 'cyrilledelaunay 5/16/2011 13:59'!
development: spec
	<symbolicVersion: #'development'>
	
	spec for: #'common' version: '3.2'! !

!ConfigurationOfRPackage methodsFor: 'accessing' stamp: 'tg 6/5/2010 18:17'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project]! !

!ConfigurationOfRPackage methodsFor: 'symbolic versions' stamp: 'cyrilledelaunay 5/16/2011 13:59'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '3.1'.
! !

!ConfigurationOfRPackage methodsFor: 'versions' stamp: 'AlexandreBergel 2/18/2011 12:53'!
version10: spec
	<version: '1.0' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'New version'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '2/18/2011 12:53'.
		spec 
			package: 'SystemAnnouncements' with: 'SystemAnnouncements-cyrilledelaunay.36';
			package: 'RPackage-Core' with: 'RPackage-Core-AlexandreBergel.66';
			package: 'RPackage-Tests' with: 'RPackage-Tests-cyrilledelaunay.26';
			package: 'RPackage-UI' with: 'RPackage-UI-FernandoOlivero.16';
			package: 'RPackage-SystemIntegration' with: 'RPackage-SystemIntegration-cyrilledelaunay.50'. ].
! !

!ConfigurationOfRPackage methodsFor: 'versions' stamp: 'cyrilledelaunay 5/9/2011 12:44'!
version30: spec
	<version: '3.0' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: ' temporarily fixed the self halt problem in CompiledMethod >> packageFromOrganizer: . should work for moose. But for devellopment, we should still use the version with the halt'.
		spec author: 'CyrilleDelaunay'.
		spec timestamp: ' 2011-05-09T12:40:37+02:00'. "DateAndTime now"
.		spec 
			package: 'SystemAnnouncements' with: 'SystemAnnouncements-StephaneDucasse.46';
			package: 'RPackage-Core' with: 'RPackage-Core-cyrilledelaunay.89';
			package: 'RPackage-Tests' with: 'RPackage-Tests-StephaneDucasse.36';
			package: 'RPackage-UI' with: 'RPackage-UI-FernandoOlivero.16';
			package: 'RPackage-SystemIntegration' with: 'RPackage-SystemIntegration-StephaneDucasse.72'. ].
! !

!ConfigurationOfRPackage methodsFor: 'versions' stamp: 'cyrilledelaunay 5/24/2011 15:53'!
version31: spec
	<version: '3.1' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'fixed compiledMethod >> packageFromOrganizer:. Pay attention that the traits of the class can be nil.'.
		spec author: 'CyrilleDelaunay'.
		spec timestamp: ' 2011-05-24T15:53:50+02:00'. "DateAndTime now"
.		spec 
			package: 'SystemAnnouncements' with: 'SystemAnnouncements-StephaneDucasse.48';
			package: 'RPackage-Core' with: 'RPackage-Core-cyrilledelaunay.98';
			package: 'RPackage-Tests' with: 'RPackage-Tests-cyrilledelaunay.43';
			package: 'RPackage-UI' with: 'RPackage-UI-FernandoOlivero.16';
			package: 'RPackage-SystemIntegration' with: 'RPackage-SystemIntegration-cyrilledelaunay.80'. ].
! !

!ConfigurationOfRPackage methodsFor: 'versions' stamp: 'StephaneDucasse 7/25/2011 23:46'!
version32: spec
	<version: '3.2' imports: #('2.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'Adding tags: next step removing a tag'.
		spec author: 'CyrilleDelaunay'.
		spec timestamp: ' 2011-07-25T23:46:07+00:00'. "DateAndTime now"
.		spec 
			package: 'SystemAnnouncements' with: 'SystemAnnouncements-StephaneDucasse.48';
			package: 'RPackage-Core' with: 'RPackage-Core-StephaneDucasse.102';
			package: 'RPackage-Tests' with: 'RPackage-Tests-StephaneDucasse.49';
			package: 'RPackage-UI' with: 'RPackage-UI-FernandoOlivero.16';
			package: 'RPackage-SystemIntegration' with: 'RPackage-SystemIntegration-cyrilledelaunay.86'. ].
! !
